# DataExchange
TKBinXCAF
BinMXCAFDoc

# BinMXCAFDoc_DocumentToolDriver Class Reference

`#include <BinMXCAFDoc_DocumentToolDriver.hxx>`

## Public Member Functions

Standard_EXPORT | BinMXCAFDoc_DocumentToolDriver (const Handle(CDM_MessageDriver)&theMsgDriver)
virtual Standard_EXPORT Handle_TDF_Attribute | NewEmpty () const
virtual Standard_EXPORT Standard_Boolean | Paste (const BinObjMgt_Persistent &theSource, const Handle(TDF_Attribute)&theTarget, BinObjMgt_RRelocationTable &theRelocTable) const
virtual Standard_EXPORT void | Paste (const Handle(TDF_Attribute)&theSource, BinObjMgt_Persistent &theTarget, BinObjMgt_SRelocationTable &theRelocTable) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT BinMXCAFDoc_DocumentToolDriver::BinMXCAFDoc_DocumentToolDriver | ( | const Handle(CDM_MessageDriver)& | theMsgDriver | ) |

## Member Function Documentation

Standard_EXPORT const BinMXCAFDoc_DocumentToolDriver::Handle | ( | Standard_Type |  | ) | const

virtual Standard_EXPORT Handle_TDF_Attribute BinMXCAFDoc_DocumentToolDriver::NewEmpty | ( |  | ) | const`[virtual]`

virtual Standard_EXPORT void BinMXCAFDoc_DocumentToolDriver::Paste | ( | const Handle(TDF_Attribute)& | theSource,
|  | BinObjMgt_Persistent & | theTarget,
|  | BinObjMgt_SRelocationTable & | theRelocTable
| ) | const`[virtual]`

virtual Standard_EXPORT Standard_Boolean BinMXCAFDoc_DocumentToolDriver::Paste | ( | const BinObjMgt_Persistent & | theSource,
|  | const Handle(TDF_Attribute)& | theTarget,
|  | BinObjMgt_RRelocationTable & | theRelocTable
| ) | const`[virtual]`

The documentation for this class was generated from the following file:

- BinMXCAFDoc_DocumentToolDriver.hxx